Page MenuHomePhabricator

efl_ui_collection: do not leak
ClosedPublic

Authored by bu5hm4n on Dec 9 2019, 10:33 AM.

Details

Summary

this fixes leaking of membership to a pan object, additionally this also
fixes the leaking of the pan object. This code was written with the
thought that edje deletes its children, long story short: no it does
not. While fixing the leak of the pan object, the error was found that
the membership of the item to the pan object was leaked, which ended up
in the item beeing deleted, even if its not part of the object anymore.
Depends on D10840

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Dec 9 2019, 10:33 AM
bu5hm4n requested review of this revision.Dec 9 2019, 10:33 AM
cedric requested changes to this revision.Dec 12 2019, 9:58 AM
cedric added inline comments.
src/lib/elementary/efl_ui_collection.c
441

Can you add a comment that explain why we have to do this so that we can fix it at some point in the future.

This revision now requires changes to proceed.Dec 12 2019, 9:58 AM
bu5hm4n requested review of this revision.Dec 12 2019, 12:29 PM

There is a test detecting leaks ... :)

cedric accepted this revision.Dec 13 2019, 9:25 AM
This revision is now accepted and ready to land.Dec 13 2019, 9:25 AM
Closed by commit rEFLeaf2a8d7ecd3: efl_ui_collection: do not leak (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by cedric). · Explain WhyDec 13 2019, 9:34 AM
This revision was automatically updated to reflect the committed changes.